%define prefix   /usr

#Uncomment these if they are not defined by your rpm macros file
%define _sysconfdir             /etc
%define _localstatedir          /var

Summary: The Layer-7 Virtual Server
Name: l7vs
Version: 0.2.0
Release: 1
Copyright: TBD
Packager: NTT COMWARE Corporation
Group: Utilities
Source0: %{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-%{version}-root
Docdir: %{prefix}/doc
Provides: %{name}-%{version}
BuildPrereq: automake autoconf libtool vanessa_logger-devel glib-devel
#Requires: 

%description
Layer-7 load balancer daemon that works with TCP splicing

%prep
%setup

%build

# I am providing my own configure macro replacement. Hopefully this
# will result in fewer portability problems than using the one supplied
# by various vendours. I fear that I hope in vein.
CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS
if [ -f confgure.in ]; then
	aclocal
	libtoolize --force --copy
	automake
	autoconf
fi
./configure %{_target_platform} \
       --prefix=%{_prefix} \
       --exec-prefix=%{_exec_prefix} \
       --bindir=%{_bindir} \
       --sbindir=%{_sbindir} \
       --sysconfdir=%{_sysconfdir} \
       --datadir=%{_datadir} \
       --includedir=%{_includedir} \
       --libdir=%{_libdir} \
       --libexecdir=%{_libexecdir} \
       --localstatedir=%{_localstatedir} \
       --sharedstatedir=%{_sharedstatedir} \
       --mandir=%{_mandir} \
       --infodir=%{_infodir} \
       --with-l7vs-moddir=%{_libdir}/%{name} 
make

%install
rm -rf ${RPM_BUILD_ROOT}

# Manually install init script
#mkdir -p ${RPM_BUILD_ROOT}/etc/init.d/
#install -c -m 755 \
#        ${RPM_BUILD_DIR}/%{name}-%{version}/etc/init.d/l7vs.rh \
#	        ${RPM_BUILD_ROOT}/etc/init.d/l7vs

# Install eveything else
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%post

%postun

%preun

%files
%defattr(-, root, root, 0755)
%{_localstatedir}/run/%{name}/
%{_sbindir}
%{_libdir}/%{name}/*
#%config %{_sysconfdir}/init.d/*
#%config %{_sysconfdir}/%{name}/*
#%doc README COPYING
#%{_mandir}

%changelog
